OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollableNetwork.DumpVisitor

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollableVisitorAdaptor
          org.opennms.netmgt.poller.pollables.PollableNetwork.DumpVisitor

All Implemented Interfaces:
  PollableVisitor

Enclosing class:
  PollableNetwork

class PollableNetwork.DumpVisitor
extends PollableVisitorAdaptor

Field Summary
`private org.apache.log4j.Category` `m_log`

Constructor Summary
`PollableNetwork.DumpVisitor(org.apache.log4j.Category log)`

Method Summary
`void` `visitInterface(PollableInterface pIf)`
`void` `visitNode(PollableNode pNode)`
`void` `visitService(PollableService pSvc)`

Methods inherited from class org.opennms.netmgt.poller.pollables.PollableVisitorAdaptor
`visitContainer, visitElement, visitNetwork`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_log

    private org.apache.log4j.Category m_log

Constructor Detail

### PollableNetwork.DumpVisitor

    public PollableNetwork.DumpVisitor(org.apache.log4j.Category log)

Method Detail

### visitNode

    public void visitNode(PollableNode pNode)

  Specified by:
    `visitNode` in interface `PollableVisitor`
  Overrides:
    `visitNode` in class `PollableVisitorAdaptor`

### visitInterface

    public void visitInterface(PollableInterface pIf)

  Specified by:
    `visitInterface` in interface `PollableVisitor`
  Overrides:
    `visitInterface` in class `PollableVisitorAdaptor`

### visitService

    public void visitService(PollableService pSvc)

  Specified by:
    `visitService` in interface `PollableVisitor`
  Overrides:
    `visitService` in class `PollableVisitorAdaptor`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.